.TH libbz2 3 "8 Oct 1999"
.SH NAME
libbz2 \- library for block-sorting data compression
.SH SYNOPSIS
.LP
.B cc
.RI "[ " "flag " \|.\|.\|. ] " "file \|.\|.\|."
.B \-lbz2
.RI "[ " "library" " \|.\|.\|. ]"
.sp 1n
.nf
.ft 3
#include <stdio.h>
#include <bzlib.h>
.ft
.fi
.SH DESCRIPTION
Interfaces in this library provide the ability to compress (and
decompress) files using the Burrows-Wheeler blocksorting text compression
algorithm, and  Huffman  coding. It is provided along with the
.BR bzip2(1)
utility.
See
.BR bzip2(1)
for more information.
.LP
The source distribution of bzip2 contains a description of how to
use this library in HTML form.
.LP
For additional information on shared object interfaces,  see
.BR intro(3).
.SH INTERFACES
.nf
BZ2_bzCompressInit
BZ2_bzCompress
BZ2_bzCompressEnd
BZ2_bzDecompressInit
BZ2_bzDecompress
BZ2_bzDecompressEnd
BZ2_bzReadOpen
BZ2_bzReadClose
BZ2_bzReadGetUnused
BZ2_bzRead
BZ2_bzWriteOpen
BZ2_bzWrite
BZ2_bzWriteClose
BZ2_bzBuffToBuffCompress
BZ2_bzBuffToBuffDecompress
BZ2_bzlibVersion
BZ2_bzopen
BZ2_bzdopen
BZ2_bzread
BZ2_bzwrite
BZ2_bzflush
BZ2_bzclose
.fi
.SH FILES
.PD 0
.TP 20
/usr/lib/libbz2.so.1
shared object
.TP
/usr/lib/64/libbz2.so.1
64-bit shared object
.PD
.SH "SEE ALSO"
bzip2(1), intro(3)
.SH AUTHOR
Julian Seward, jseward@acm.org.

http://sourceware.cygnus.com/bzip2
http://www.muraroa.demon.co.uk

The ideas embodied in bzip2 are due to (at least) the fol-
lowing people: Michael Burrows and David Wheeler (for  the
block  sorting  transformation), David Wheeler (again, for
the Huffman coder), Peter Fenwick (for the structured cod-
ing model in the original bzip, and many refinements), and
Alistair Moffat, Radford Neal  and  Ian  Witten  (for  the
arithmetic  coder  in  the  original  bzip).   I  am  much
indebted for their help, support and advice.  See the man-
ual  in the source distribution for pointers to sources of
documentation.  Christian von Roques encouraged me to look
for  faster sorting algorithms, so as to speed up compres-
sion.  Bela Lubkin encouraged me to improve the worst-case
compression performance.  Many people sent patches, helped
with portability problems, lent machines, gave advice  and
were generally helpful.
